@import url('https://fonts.googleapis.com/css2?family=Itim&display=swap');


.contenedorBody {
  height: 70vh;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Itim', sans-serif;

  display: flex;
  justify-content: center;
  align-items: center;
  /* min-height: 600px; */
  background: rgba(40, 12, 199, 0.555);
}

.contenedorGraficos {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 40px;
}

.contenedorGraficos .cardGrafico {
  position: relative;
  width: 150px;
  height: 150px;
  background-color: rgba(224, 223, 223, 0.363);
  border-radius: 15px;
}

.contenedorGraficos .cardGrafico .porcentaje {
  position: relative;
  width: 150px;
  height: 150px;
}

.contenedorGraficos .cardGrafico .porcentaje svg {
  position: relative;
  width: 150px;
  height: 150px;
  transform: rotate(270deg)
}

.contenedorGraficos .cardGrafico .porcentaje svg circle {
  width: 100%;
  height: 100%;
  fill: transparent;
  stroke-width: 2;
  stroke: rgba(197, 189, 189, 0.589);
  transform: translate(5px, 5px);
}

.contenedorGraficos .cardGrafico .porcentaje svg circle:nth-child(2) {
  stroke: var(--clr);
  stroke-dasharray: 440;
  stroke-dashoffset: calc(440 - (440 * var(--num)) / 100);
  animation: fadeIn 2s linear forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    ;
  }

  100% {
    opacity: 1;
  }
}

.dot {
  position: absolute;
  /* background: red; */
  inset: 5px;
  z-index: 10;
  transform: rotate(calc(3.6deg * var(--num)));
  /* 360deg / 100 = 3.6 */
  animation: animateDot 2s linear forwards;
}

@keyframes animateDot {
  0% {
    transform: rotate(0deg)
  }

  100% {
    transform: rotate(calc(3.6deg * var(--num)));
  }
}


.dot::before {
  content: '';
  position: absolute;
  width: 10px;
  height: 10px;
  background: var(--clr);
  top: -5px;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 50%;
  box-shadow: 0 0 10px var(--clr), 0 0 30px var(--clr);
}

.numero {
  position: absolute;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.numero h2 {
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-weight: 700;
  font-size: 2.5em;
}

.numero h2 span {
  font-weight: 300;
  color: #fff;
  font-size: 0.6em;
}

.numero p {
  font-weight: 300;
  font-size: 0.75em;
  letter-spacing: 2px;
  text-transform: uppercase;
  color: rgba(255, 255, 255, 0.75);
}
